Loading...
Searching...
No Matches
osmium::geom::CRS Class Reference

`#include <projection.hpp>`

## Classes

struct | ProjCRSDeleter

## Public Member Functions

| CRS (const char *crs)
| CRS (const std::string &crs)
| CRS (int epsg)
projPJ | get () const noexcept
bool | is_latlong () const noexcept
bool | is_geocent () const noexcept

## Private Attributes

std::unique_ptr< void, ProjCRSDeleter > | m_crs

## Detailed Description

C++ wrapper for a Coordinate Reference System of the proj library.

Deprecated:
  Only supports the old PROJ API.

## Constructor & Destructor Documentation

## CRS() [1/3]

osmium::geom::CRS::CRS | ( | const char * | crs | ) |

inlineexplicit

## CRS() [2/3]

osmium::geom::CRS::CRS | ( | const std::string & | crs | ) |

inlineexplicit

## CRS() [3/3]

osmium::geom::CRS::CRS | ( | int | epsg | ) |

inlineexplicit

## Member Function Documentation

## get()

projPJ osmium::geom::CRS::get | ( |  | ) | const

inlinenoexcept

Get underlying projPJ handle from proj library.

## is_geocent()

bool osmium::geom::CRS::is_geocent | ( |  | ) | const

inlinenoexcept

## is_latlong()

bool osmium::geom::CRS::is_latlong | ( |  | ) | const

inlinenoexcept

## Member Data Documentation

## m_crs

std::unique_ptr<void, ProjCRSDeleter> osmium::geom::CRS::m_crs

private

The documentation for this class was generated from the following file:

- include/osmium/geom/projection.hpp